<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Generador de barras</title>
    <link rel="stylesheet" href="grafico.css">
    <style>
        main {
            grid-template-columns: repeat(<?php echo count($_POST['partido']); ?>, 1fr);
        }
    </style>
</head>

<body>

    <?php
    $total = 0;
    foreach ($_POST['votos'] as $key => $value) {
        $total += $value;
    }
    ?>

    <main>
        <?php
        $px = 350 * count($_POST['partido']);
        foreach ($_POST['votos'] as $key => $value) {
            $porcentaje_votos = $value * 100 / $total;
            $altura = $porcentaje_votos * $px / 100;
        ?>
            <div id="partido_<?php echo $key; ?>" style="background-color: <?php echo $_POST['color'][$key] ?>; height: <?php echo $altura ?>px;"><?php echo $_POST['partido'][$key] ?><br><?php echo $value ?></div>
        <?php
        }
        ?>
    </main>

</body>

</html>